PUT
/
institutions
/
cards
/
pin
/
{cardId}
/
reset
Reset Card PIN
curl --request PUT \
  --url https://sandbox-api.cardcore.cloud/institutions/cards/pin/{cardId}/reset \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "newPIN": {
    "encryptedData": "9f8d92h3k4j5l6",
    "publicKeyFingerprint": "a884d7744252e1ec674983a91e6"
  }
}
'
{
  "statusCode": 200,
  "message": "Card pin updated successfully",
  "data": {
    "_id": "69d4dd694818713f69fec11b",
    "institution": "68da3e6080b90fbbb96716c9",
    "cardProgram": "68da531880b90fbbb9671b38",
    "referenceCode": "SUPRPR65228531775557727619",
    "scheme": "Mastercard",
    "type": "virtual",
    "bin": "0902322423",
    "expiryMonth": "05",
    "expiryYear": 2029,
    "pinEnabled": true,
    "seqNumber": "001",
    "enroll2FA": true,
    "status": "active",
    "expiryDate": "2029-05-17T00:00:00.000Z",
    "account": {
      "currency": "NGN",
      "type": "00",
      "number": "0117964837",
      "bankCode": "999241"
    },
    "customer": {
      "uniqueId": "9992410117964837",
      "firstName": "Prince",
      "middleName": "Kyemuteh",
      "lastName": "Muteh",
      "emailAddress": "[email protected]",
      "phoneNumber": "07030338024",
      "dateOfBirth": "1998-03-25T00:00:00.000Z",
      "address": {
        "line1": "University Of Maiduguri",
        "line2": "pop",
        "city": "Kwali",
        "state": "Abuja Federal Capital Territory",
        "country": "Nigeria",
        "postalCode": "600211"
      }
    },
    "cardHolderId": "sandbox-cardholder-e2a5bbc7-f201-4ef1-af49-e19383a851b9",
    "lastFour": "2384",
    "pan": "090232fF2384",
    "cvv2": "tok_dev_BxiqEUdTyIdy7kqlPWSTKm",
    "icvv": "tok_dev_kIULobJIBIF6FRKTOclZgg",
    "serviceCode": "601",
    "printCard": false,
    "token": "sandbox-token-ccfc8c40-9ae6-4577-b6db-47cf3bee84db",
    "cvv": "tok_dev_kf9xEpfzCyHphXYcxiKUnv",
    "allowDigitization": true,
    "embossingName": "Prince Kyemuteh Muteh",
    "twoFAEnrolled": false,
    "pinAttempts": 0,
    "honorific": "",
    "gender": "",
    "createdAt": "2026-04-07T10:33:13.188Z",
    "updatedAt": "2026-04-07T10:33:13.469Z",
    "hash": "7307208218A127E8E928285CAC663D1B56740F1B",
    "secureData": "TI/A8/sfDsSxFDeBI4XtipOwBjniDsqmhCPKnKBqVrGr37BIC7MRbjBi7iEtmgTEruZrMoybj8dWegWCnE2ULu7/bkYWZtCKpcDSO2O5KBcuA1wQazAMSjWugCLdNyOo4rxb7KiNgNj8GKtHZU5KIwSsEPbcMjkmUASQoTu78mL3OsjFWFl2Nu0FJWoOnD7VnxnKrnEZcDBOVNwTE0Su5r+cEDz/U8Mf4cKsnMSONPECfpBZu1U1sWuCIouyADd+u87lzdgaexXU08ChKdTVg7VWKqr6XsYbh7i7gZsaAJjNmOzOf37uwu1gamrOIlSamKb7bPHxzc9Gbe+pb0Xw+g==",
    "id": "69d4dd694818713f69fec11b"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

cardId
string
required

Path parameter: cardId.

Body

application/json
newPIN
object
required

Response

200 - application/json

Reset Card PIN completed successfully.

The response is of type object.